#! /bin/bash

export APPTAINERENV_APPEND_PATH=/code/openCARP-Actors/environment_setup/openCARP/_build/bin
MESH_TYPE_TEST_PATH=/code/openCARP-Actors/simulations/Joyce_Sep26_4x4x025mm-input
CONTAINER=/home/kklenk/Projects/cardiac/openCARP-Actors/environment_setup/openCARP.sif

TEST=official

CONFIG=config_$TEST.toml
LOG_DIR_NAME=${TEST}_log
LOG_DIR=$MESH_TYPE_TEST_PATH/$LOG_DIR_NAME
LOCAL_LOG_DIR=/home/kklenk/Projects/cardiac/openCARP-Actors/simulations/Joyce_Sep26_4x4x025mm-input/$LOG_DIR_NAME

rm -rf screen-logs 

mkdir -p screen-logs
mkdir -p $LOCAL_LOG_DIR

screen -L -dmS server -Logfile screen-logs/server.log \
  apptainer exec --bind ../../:/code/openCARP-Actors \
               --pwd $MESH_TYPE_TEST_PATH --env "OMP_NUM_THREADS=8" \
               $CONTAINER \
              openCARP -c $CONFIG -o $LOG_DIR/ -s -p 4444

echo "Started Server"                   
# sleep 1
# N=3
# for (( i=1; i<=N; i++ ))
# do
# screen -L -dmS client$i -Logfile screen-logs/client$i.log \
#   apptainer exec --bind ../../:/code/openCARP-Actors \
#                --pwd $MESH_TYPE_TEST_PATH --env "OMP_NUM_THREADS=1" \
#                $CONTAINER \
#               openCARP -a -H "localhost" -p 4444 -o $LOG_DIR/

# done

# valgrind --leak-check=full --show-leak-kinds=all --log-file=$LOG_DIR/valgrind_output.txt