#! /bin/bash

export APPTAINERENV_APPEND_PATH=/code/openCARP-Actors/environment_setup/openCARP/_build/bin
MESH_TYPE_TEST_PATH=/code/openCARP-Actors/simulations/Joyce_Sep26_4x4x025mm-input
CONTAINER=/home/kck540/Projects/Cardiac/openCARP-Actors/environment_setup/openCARP.sif

TEST=normal_8_threads

CONFIG=config_$TEST.toml
LOG_DIR_NAME=${TEST}_log
LOG_DIR=$MESH_TYPE_TEST_PATH/$LOG_DIR_NAME
LOCAL_LOG_DIR=/home/kck540/Projects/Cardiac/openCARP-Actors/simulations/Joyce_Sep26_4x4x025mm-input/$LOG_DIR_NAME

rm -rf screen-logs 

mkdir -p screen-logs
mkdir -p $LOCAL_LOG_DIR

screen -L -dmS server -Logfile screen-logs/server.log \
  apptainer exec --bind ../../:/code/openCARP-Actors \
               --pwd $MESH_TYPE_TEST_PATH --env "OMP_NUM_THREADS=8" \
               $CONTAINER \
              openCARP -c $CONFIG -o $LOG_DIR/ 
